import { RootStore } from './RootStore';
import { action, makeAutoObservable, observable } from 'mobx';

export class HelpersStore {
  @observable isCollapsed = false;

  constructor(private readonly rootStore: RootStore) {
    makeAutoObservable(this);
  }

  get collapse(): boolean {
    return this.isCollapsed;
  }

  @action
  toggleCollapsed = (bool: boolean): void => {
    this.isCollapsed = bool;
  };
}
